#############################################################################
#	Copyright (c) 2009, Bendor Research Pty. Ltd. All rights reserved.		#
#	This software is released under the GNU General Public License, version	#
#	3, with the exemptions that 1) the header files installed by this 	 	#
#	package can be included in closed-source code and 2) the libraries		#
#	built by this package can be statically linked into a closed-source 	#
#	binary. See the file LICENSE for the details.							#
#	This software is provided "AS IS", without any warranty or guarantee.	#
#	By using this software you acknowledge that neither Bendor Research nor	#
#	any of its personnel or affiliates can be held liable for any damages,	#
#	including, but not limited to, loss of business, loss of money, loss of #
#	life, loss of reputation, arising out of this software being faulty or	#
#	not performing as advertised, even if Bendor Research was aware of such	#
#	faults in the software. You use this software at your own risk, any and #
#	all liabilities that arise out of your using this software are strictly	#
#	yours.																	#
#############################################################################

#	C library functions
#	~~~~~~~~~~~~~~~~~~~

VPATH 	=	string ctype stdlib stdio wchar time setjmp misc

STRING	= 	memccpy.c		memchr.c		memcmp.c		memcpy.c		\
			memmove.c		memrchr.c		memset.c		memrcpy.c		\
			strcat.c		strchr.c		strcmp.c		strcpy.c		\
			strcspn.c		strlen.c		strncat.c		strncmp.c		\
			strncpy.c		strnlen.c		strpbrk.c		strrchr.c		\
			strsep.c		strspn.c		strstr.c		strlcpy.c		\
			strlcat.c		strcat_fast.c	strlen_fast.S	strnlen_fast.S	\
			strcpy_fast.S	strncpy_fast.S	memset_fast.S	memmove_fast.S	\
			memcpy_fast.S	memrcpy_fast.S	memcmp_fast.S

CTYPE 	=	toupper.c		tolower.c		isalnum.c		isalpha.c		\
			isascii.c		isblank.c		iscntrl.c		isdigit.c		\
			isgraph.c		islower.c		isprint.c		ispunct.c		\
			isspace.c		isupper.c		isxdigit.c		_blc_ctype.c

STDLIB	=	ultostr10.c		ultostr2n.c		ultostr.c		ulltostr10.c 	\
			ulltostr2n.c 	ulltostr.c		strtoulle.c		 strtoule.c		\
			strtolle.c		strtole.c		bsearch.c		qsort.c			\
			strtode.c		_blc_float.c	_blc_strtoint.c	_blc_strtoflt.c	\
			div.S			udiv.S			lldiv.S			ulldiv.S		\
			random.c		hsort.c

STDIO	=	print_int.c 	print_flt.c 	scan_int.c		scan_flt.c

SETJMP	=	setjmp.S		longjmp.S

WCHAR	=	blc_mbtowc_any.c	blc_mbtowc_any_16.c		blc_mbtowc_any_32.c	\
			blc_mbtowc_rfc.c	blc_mbtowc_rfc_16.c		blc_mbtowc_rfc_32.c	\
			blc_wctomb.c

TIME	=	gmtime.c		mktime.c

MISC	=	mul64x64_64.S	umul64x32_64.S	smul64x32_64.S	umul32x32_64.S	\
			smul32x32_64.S	udiv32prep.c 	sdiv32prep.c	udiv32.S		\
			sdiv32.S		bitcnt.S		ldzcnt.S 		trzcnt.S 		\
			bitrev.S		endian.S										\
			dll_init.c 		dll_gethead.c	dll_gettail.c	dll_puthead.c 	\
			dll_puttail.c	dll_insafter.c	dll_insbefore.c	dll_append.c	\
			dll_seehead.c	dll_seetail.c	dll_next.c		dll_prev.c		\
			dll_cut.c		dll_remove.c

FILES 	=	$(STRING) $(CTYPE) $(STDLIB) $(STDIO) \
			$(SETJMP) $(WCHAR) $(TIME) $(MISC)

include ../Makefile

